com.holonplatform.http

## Interface Cookie

- All Superinterfaces:
    Serializable
  All Known Implementing Classes:
    HttpCookie

      public interface Cookie
      extends Serializable

  Represents a HTTP cookie
  Since:
    5.0.0
  See Also:
    `HttpRequest`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `Cookie.Builder` Cookie builder

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_VERSION` Cookie default version according to RFC 2109

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Cookie.Builder` | `builder()` Get a builder to create a `Cookie` instance.
    `String` | `getDomain()` Get the domain of the cookie
    `String` | `getName()` Get the name of the cookie
    `String` | `getPath()` Get the path of the cookie
    `String` | `getValue()` Get the value of the cookie
    `int` | `getVersion()` Get the version of the cookie

- - ### Field Detail

    - #### DEFAULT_VERSION

          static final int DEFAULT_VERSION

      Cookie default version according to RFC 2109
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getName

          String getName()

      Get the name of the cookie
      Returns:
        the cookie name

    - #### getValue

          String getValue()

      Get the value of the cookie
      Returns:
        the cookie value

    - #### getVersion

          int getVersion()

      Get the version of the cookie
      Returns:
        the cookie version

    - #### getDomain

          String getDomain()

      Get the domain of the cookie
      Returns:
        the cookie domain

    - #### getPath

          String getPath()

      Get the path of the cookie
      Returns:
        the cookie path

    - #### builder

          static Cookie.Builder builder()

      Get a builder to create a `Cookie` instance.
      Returns:
        Cookie builder

Copyright © 2019 The Holon Platform. All rights reserved.